gdcmBaseRootQuery.h File Reference
`#include "gdcmDataSet.h"`
`#include "gdcmUIDs.h"`
`#include "gdcmBaseQuery.h"`
`#include "gdcmQueryPatient.h"`
`#include "gdcmQueryStudy.h"`
`#include "gdcmQuerySeries.h"`
`#include "gdcmQueryImage.h"`
Include dependency graph for gdcmBaseRootQuery.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gdcm::BaseRootQuery
| BaseRootQuery. More...

## Namespaces

namespace | gdcm

## Enumerations

enum | gdcm::EQueryLevel { gdcm::ePatient = 0 , gdcm::eStudy = 1 , gdcm::eSeries = 2 , gdcm::eImage = 3 }
enum | gdcm::EQueryType { gdcm::eFind = 0 , gdcm::eMove , gdcm::eWLMFind }